= render "projects/issues/head"
%h3.page-title
  = t("projects_section.milestones.milestone")
  = "##{@milestone.iid}"
  .pull-right
    - if can?(current_user, :admin_milestone, @project)
      = link_to edit_project_milestone_path(@project, @milestone), class: "btn btn-grouped" do
        %i.icon-edit
        = t("projects_section.milestones.edit")
      - if @milestone.active?
        = link_to t("projects_section.milestones.close_milestone"), project_milestone_path(@project, @milestone, milestone: {state_event: :close }), method: :put, class: "btn btn-remove btn-grouped"
      - else
        = link_to t("projects_section.milestones.reopen_milestone"), project_milestone_path(@project, @milestone, milestone: {state_event: :activate }), method: :put, class: "btn btn-grouped"

- if @milestone.issues.any? && @milestone.can_be_closed?
  .alert.alert-success
    %span= t("projects_section.milestones.all_issues_for_this_milestone")

.back-link
  = link_to project_milestones_path(@project) do
    &larr;
    = t("projects_section.milestones.to_milestones_list")


.issue-box{ class: issue_box_class(@milestone) }
  .state.clearfix
    .state-label
      - if @milestone.closed?
        = t("projects_section.milestones.closed_title")
      - elsif @milestone.expired?
        = t("projects_section.milestones.expired")
      - else
        = t("projects_section.milestones.active_title")
    .creator
      = @milestone.expires_at

  %h4.title
    = gfm escape_once(@milestone.title)

  - if @milestone.description.present?
    .description
      .wiki
        = preserve do
          = markdown @milestone.description

  .context
    %p
      = t("projects_section.milestones.progress") + ":"
      = t("projects_section.milestones.items_closed", count: @milestone.closed_items_count)
      &ndash;
      = t("projects_section.milestones.items_open", count: @milestone.open_items_count)
      %span.pull-right= @milestone.expires_at
    .progress.progress-info
      .progress-bar{style: "width: #{@milestone.percent_complete}%;"}


%ul.nav.nav-tabs
  %li.active
    = link_to '#tab-issues', 'data-toggle' => 'tab' do
      = t("projects_section.milestones.issues")
      %span.badge= @issues.count
  %li
    = link_to '#tab-merge-requests', 'data-toggle' => 'tab' do
      = t("projects_section.milestones.merge_requests")
      %span.badge= @merge_requests.count
  %li
    = link_to '#tab-participants', 'data-toggle' => 'tab' do
      = t("projects_section.milestones.participants")
      %span.badge= @users.count

  .pull-right
    = link_to new_project_issue_path(@project, issue: { milestone_id: @milestone.id }), class: "btn btn-small btn-grouped", title: t("projects_section.milestones.new_issue") do
      %i.icon-plus
      = t("projects_section.milestones.new_issue")
    = link_to t("projects_section.milestones.browse_issues"), project_issues_path(@milestone.project, milestone_id: @milestone.id), class: "btn btn-small edit-milestone-link btn-grouped"

.tab-content
  .tab-pane.active#tab-issues
    .row
      .col-md-4
        = render('issues', title: t("projects_section.milestones.unstarted_issues"), issues: @issues.opened.unassigned, id: 'unassigned')
      .col-md-4
        = render('issues', title: t("projects_section.milestones.ongoing_issues"), issues: @issues.opened.assigned, id: 'ongoing')
      .col-md-4
        = render('issues', title: t("projects_section.milestones.completed_issues"), issues: @issues.closed, id: 'closed')

  .tab-pane#tab-merge-requests
    .row
      .col-md-3
        = render('merge_requests', title: t("projects_section.milestones.work_in_progress"), merge_requests: @merge_requests.opened.unassigned, id: 'unassigned')
      .col-md-3
        = render('merge_requests', title: t("projects_section.milestones.waiting_for_merge"), merge_requests: @merge_requests.opened.assigned, id: 'ongoing')
      .col-md-3
        = render('merge_requests', title: t("projects_section.milestones.declined"), merge_requests: @merge_requests.declined, id: 'closed')
      .col-md-3
        .panel.panel-primary
          .panel-heading= t("projects_section.milestones.merged")
          %ul.well-list
            - @merge_requests.merged.each do |merge_request|
              = render 'merge_request', merge_request: merge_request

  .tab-pane#tab-participants
    %ul.bordered-list
      - @users.each do |user|
        %li
          = link_to user, title: user.name, class: "darken" do
            = image_tag avatar_icon(user.email, 32), class: "avatar s32"
            %strong= truncate(user.name, lenght: 40)
            %br
            %small.cgray= user.username
